export type Vector = [number, number, number];
export type NdVector = number[];
export declare function norm(vec: NdVector): number;
export declare function scale<T extends Vector>(vec: T, factor: number): T;
export declare function euclidean_dist(vec1: Vector, vec2: Vector): number;
export declare function add<T extends Vector>(...vecs: T[]): T;
export declare function dot(x1: NdVector, x2: NdVector): number | number[];
