import { SvelteComponent } from "svelte";
import type { Coords } from '..';
declare const __propDef: {
    props: {
        style?: string | undefined;
        x_lim?: [number | null, number | null] | undefined;
        y_lim?: [number | null, number | null] | undefined;
        pad_top?: number | undefined;
        pad_bottom?: number | undefined;
        pad_left?: number | undefined;
        pad_right?: number | undefined;
        x_label?: string | undefined;
        x_label_yshift?: number | undefined;
        x?: number[] | undefined;
        color_scale?: ((num: number) => string) | null | undefined;
        y?: number[] | undefined;
        y_label?: string | undefined;
        y_unit?: string | undefined;
        tooltip_point?: Coords | null | undefined;
        hovered?: boolean | undefined;
        markers?: "line" | "points" | "line+points" | undefined;
    };
    events: {
        mouseleave: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        tooltip: {
            x: number[];
            y: number[];
        };
    };
};
export type ScatterPlotProps = typeof __propDef.props;
export type ScatterPlotEvents = typeof __propDef.events;
export type ScatterPlotSlots = typeof __propDef.slots;
export default class ScatterPlot extends SvelteComponent<ScatterPlotProps, ScatterPlotEvents, ScatterPlotSlots> {
}
export {};
