import { SvelteComponent } from "svelte";
import type { PropertyOrigin } from '../types';
declare const __propDef: {
    props: {
        data?: {
            title: string;
            value?: string | number | number[] | null | PropertyOrigin;
            unit?: string | undefined;
            fmt?: string | undefined;
            condition?: number | boolean | null | undefined;
            tooltip?: string | undefined;
        }[] | undefined;
        title?: string | undefined;
        fallback?: string | undefined;
        fmt?: string | undefined;
        as?: string | undefined;
        style?: string | null | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        title: {};
        fallback: {};
    };
};
export type InfoCardProps = typeof __propDef.props;
export type InfoCardEvents = typeof __propDef.events;
export type InfoCardSlots = typeof __propDef.slots;
export default class InfoCard extends SvelteComponent<InfoCardProps, InfoCardEvents, InfoCardSlots> {
}
export {};
