export declare const default_category_colors: Record<string, string>;
export declare const jmol: {
    readonly H: readonly [255, 255, 255];
    readonly He: readonly [217, 255, 255];
    readonly Li: readonly [204, 128, 255];
    readonly Be: readonly [194, 255, 0];
    readonly B: readonly [255, 181, 181];
    readonly C: readonly [144, 144, 144];
    readonly N: readonly [48, 80, 248];
    readonly O: readonly [255, 13, 13];
    readonly F: readonly [144, 224, 80];
    readonly Ne: readonly [179, 227, 245];
    readonly Na: readonly [171, 92, 242];
    readonly Mg: readonly [138, 255, 0];
    readonly Al: readonly [191, 166, 166];
    readonly Si: readonly [240, 200, 160];
    readonly P: readonly [255, 128, 0];
    readonly S: readonly [255, 255, 48];
    readonly Cl: readonly [31, 240, 31];
    readonly Ar: readonly [128, 209, 227];
    readonly K: readonly [143, 64, 212];
    readonly Ca: readonly [61, 255, 0];
    readonly Sc: readonly [230, 230, 230];
    readonly Ti: readonly [191, 194, 199];
    readonly V: readonly [166, 166, 171];
    readonly Cr: readonly [138, 153, 199];
    readonly Mn: readonly [156, 122, 199];
    readonly Fe: readonly [224, 102, 51];
    readonly Co: readonly [240, 144, 160];
    readonly Ni: readonly [80, 208, 80];
    readonly Cu: readonly [200, 128, 51];
    readonly Zn: readonly [125, 128, 176];
    readonly Ga: readonly [194, 143, 143];
    readonly Ge: readonly [102, 143, 143];
    readonly As: readonly [189, 128, 227];
    readonly Se: readonly [255, 161, 0];
    readonly Br: readonly [166, 41, 41];
    readonly Kr: readonly [92, 184, 209];
    readonly Rb: readonly [112, 46, 176];
    readonly Sr: readonly [0, 255, 0];
    readonly Y: readonly [148, 255, 255];
    readonly Zr: readonly [148, 224, 224];
    readonly Nb: readonly [115, 194, 201];
    readonly Mo: readonly [84, 181, 181];
    readonly Tc: readonly [59, 158, 158];
    readonly Ru: readonly [36, 143, 143];
    readonly Rh: readonly [10, 125, 140];
    readonly Pd: readonly [0, 105, 133];
    readonly Ag: readonly [192, 192, 192];
    readonly Cd: readonly [255, 217, 143];
    readonly In: readonly [166, 117, 115];
    readonly Sn: readonly [102, 128, 128];
    readonly Sb: readonly [158, 99, 181];
    readonly Te: readonly [212, 122, 0];
    readonly I: readonly [148, 0, 148];
    readonly Xe: readonly [66, 158, 176];
    readonly Cs: readonly [87, 23, 143];
    readonly Ba: readonly [0, 201, 0];
    readonly La: readonly [112, 212, 255];
    readonly Ce: readonly [255, 255, 199];
    readonly Pr: readonly [217, 255, 199];
    readonly Nd: readonly [199, 255, 199];
    readonly Pm: readonly [163, 255, 199];
    readonly Sm: readonly [143, 255, 199];
    readonly Eu: readonly [97, 255, 199];
    readonly Gd: readonly [69, 255, 199];
    readonly Tb: readonly [48, 255, 199];
    readonly Dy: readonly [31, 255, 199];
    readonly Ho: readonly [0, 255, 156];
    readonly Er: readonly [0, 230, 117];
    readonly Tm: readonly [0, 212, 82];
    readonly Yb: readonly [0, 191, 56];
    readonly Lu: readonly [0, 171, 36];
    readonly Hf: readonly [77, 194, 255];
    readonly Ta: readonly [77, 166, 255];
    readonly W: readonly [33, 148, 214];
    readonly Re: readonly [38, 125, 171];
    readonly Os: readonly [38, 102, 150];
    readonly Ir: readonly [23, 84, 135];
    readonly Pt: readonly [208, 208, 224];
    readonly Au: readonly [255, 209, 35];
    readonly Hg: readonly [184, 184, 208];
    readonly Tl: readonly [166, 84, 77];
    readonly Pb: readonly [87, 89, 97];
    readonly Bi: readonly [158, 79, 181];
    readonly Po: readonly [171, 92, 0];
    readonly At: readonly [117, 79, 69];
    readonly Rn: readonly [66, 130, 150];
    readonly Fr: readonly [66, 0, 102];
    readonly Ra: readonly [0, 125, 0];
    readonly Ac: readonly [112, 171, 250];
    readonly Th: readonly [0, 186, 255];
    readonly Pa: readonly [0, 161, 255];
    readonly U: readonly [0, 143, 255];
    readonly Np: readonly [0, 128, 255];
    readonly Pu: readonly [0, 107, 255];
    readonly Am: readonly [84, 92, 242];
    readonly Cm: readonly [120, 92, 227];
    readonly Bk: readonly [138, 79, 227];
    readonly Cf: readonly [161, 54, 212];
    readonly Es: readonly [179, 31, 212];
    readonly Fm: readonly [179, 31, 186];
    readonly Md: readonly [179, 13, 166];
    readonly No: readonly [189, 13, 135];
    readonly Lr: readonly [199, 0, 102];
    readonly Rf: readonly [204, 0, 89];
    readonly Db: readonly [209, 0, 79];
    readonly Sg: readonly [217, 0, 69];
    readonly Bh: readonly [224, 0, 56];
    readonly Hs: readonly [230, 0, 46];
    readonly Mt: readonly [235, 0, 38];
};
export declare const vesta: {
    readonly Ac: readonly [112, 171, 250];
    readonly Ag: readonly [192, 192, 192];
    readonly Al: readonly [129, 178, 214];
    readonly Am: readonly [84, 92, 242];
    readonly Ar: readonly [207, 254, 196];
    readonly As: readonly [116, 208, 87];
    readonly At: readonly [117, 79, 69];
    readonly Au: readonly [255, 209, 35];
    readonly B: readonly [31, 162, 15];
    readonly Ba: readonly [0, 201, 0];
    readonly Be: readonly [94, 215, 123];
    readonly Bh: readonly [224, 0, 56];
    readonly Bi: readonly [158, 79, 181];
    readonly Bk: readonly [138, 79, 227];
    readonly Br: readonly [126, 49, 2];
    readonly C: readonly [76, 76, 76];
    readonly Ca: readonly [90, 150, 189];
    readonly Cd: readonly [255, 217, 143];
    readonly Ce: readonly [255, 255, 199];
    readonly Cf: readonly [161, 54, 212];
    readonly Cl: readonly [49, 252, 2];
    readonly Cm: readonly [120, 92, 227];
    readonly Co: readonly [0, 0, 175];
    readonly Cr: readonly [0, 0, 158];
    readonly Cs: readonly [87, 23, 143];
    readonly Cu: readonly [34, 71, 220];
    readonly Db: readonly [209, 0, 79];
    readonly Dy: readonly [31, 255, 199];
    readonly Er: readonly [0, 230, 117];
    readonly Es: readonly [179, 31, 212];
    readonly Eu: readonly [97, 255, 199];
    readonly F: readonly [176, 185, 230];
    readonly Fe: readonly [181, 113, 0];
    readonly Fm: readonly [179, 31, 186];
    readonly Fr: readonly [66, 0, 102];
    readonly Ga: readonly [158, 227, 115];
    readonly Gd: readonly [69, 255, 199];
    readonly Ge: readonly [126, 110, 166];
    readonly H: readonly [255, 204, 204];
    readonly He: readonly [252, 232, 206];
    readonly Hf: readonly [77, 194, 255];
    readonly Hg: readonly [184, 184, 208];
    readonly Ho: readonly [0, 255, 156];
    readonly Hs: readonly [230, 0, 46];
    readonly I: readonly [148, 0, 148];
    readonly In: readonly [166, 117, 115];
    readonly Ir: readonly [23, 84, 135];
    readonly K: readonly [161, 33, 246];
    readonly Kr: readonly [250, 193, 243];
    readonly La: readonly [90, 196, 73];
    readonly Li: readonly [134, 223, 115];
    readonly Lr: readonly [199, 0, 102];
    readonly Lu: readonly [0, 171, 36];
    readonly Md: readonly [179, 13, 166];
    readonly Mg: readonly [251, 123, 21];
    readonly Mn: readonly [167, 8, 157];
    readonly Mo: readonly [84, 181, 181];
    readonly Mt: readonly [235, 0, 38];
    readonly N: readonly [176, 185, 230];
    readonly Na: readonly [249, 220, 60];
    readonly Nb: readonly [115, 194, 201];
    readonly Nd: readonly [199, 255, 199];
    readonly Ne: readonly [254, 55, 181];
    readonly Ni: readonly [183, 187, 189];
    readonly No: readonly [189, 13, 135];
    readonly Np: readonly [0, 128, 255];
    readonly O: readonly [254, 3, 0];
    readonly Os: readonly [38, 102, 150];
    readonly P: readonly [192, 156, 194];
    readonly Pa: readonly [0, 161, 255];
    readonly Pb: readonly [87, 89, 97];
    readonly Pd: readonly [0, 105, 133];
    readonly Pm: readonly [163, 255, 199];
    readonly Po: readonly [171, 92, 0];
    readonly Pr: readonly [217, 255, 199];
    readonly Pt: readonly [208, 208, 224];
    readonly Pu: readonly [0, 107, 255];
    readonly Ra: readonly [0, 125, 0];
    readonly Rb: readonly [112, 46, 176];
    readonly Re: readonly [38, 125, 171];
    readonly Rf: readonly [204, 0, 89];
    readonly Rh: readonly [10, 125, 140];
    readonly Rn: readonly [66, 130, 150];
    readonly Ru: readonly [36, 143, 143];
    readonly S: readonly [255, 250, 0];
    readonly Sb: readonly [158, 99, 181];
    readonly Sc: readonly [181, 99, 171];
    readonly Se: readonly [154, 239, 15];
    readonly Sg: readonly [217, 0, 69];
    readonly Si: readonly [27, 59, 250];
    readonly Sm: readonly [143, 255, 199];
    readonly Sn: readonly [154, 142, 185];
    readonly Sr: readonly [0, 255, 0];
    readonly Ta: readonly [77, 166, 255];
    readonly Tb: readonly [48, 255, 199];
    readonly Tc: readonly [59, 158, 158];
    readonly Te: readonly [212, 122, 0];
    readonly Th: readonly [0, 186, 255];
    readonly Ti: readonly [120, 202, 255];
    readonly Tl: readonly [166, 84, 77];
    readonly Tm: readonly [0, 212, 82];
    readonly U: readonly [0, 143, 255];
    readonly V: readonly [229, 25, 0];
    readonly W: readonly [33, 148, 214];
    readonly Xe: readonly [66, 158, 176];
    readonly Y: readonly [148, 255, 255];
    readonly Yb: readonly [0, 191, 56];
    readonly Zn: readonly [143, 143, 129];
    readonly Zr: readonly [0, 255, 0];
};
export declare const jmol_hex: Record<"K" | "H" | "He" | "Li" | "Be" | "B" | "C" | "N" | "O" | "F" | "Ne" | "Na" | "Mg" | "Al" | "Si" | "P" | "S" | "Cl" | "Ar" | "Ca" | "Sc" | "Ti" | "V" | "Cr" | "Mn" | "Fe" | "Co" | "Ni" | "Cu" | "Zn" | "Ga" | "Ge" | "As" | "Se" | "Br" | "Kr" | "Rb" | "Sr" | "Y" | "Zr" | "Nb" | "Mo" | "Tc" | "Ru" | "Rh" | "Pd" | "Ag" | "Cd" | "In" | "Sn" | "Sb" | "Te" | "I" | "Xe" | "Cs" | "Ba" | "La" | "Ce" | "Pr" | "Nd" | "Pm" | "Sm" | "Eu" | "Gd" | "Tb" | "Dy" | "Ho" | "Er" | "Tm" | "Yb" | "Lu" | "Hf" | "Ta" | "W" | "Re" | "Os" | "Ir" | "Pt" | "Au" | "Hg" | "Tl" | "Pb" | "Bi" | "Po" | "At" | "Rn" | "Fr" | "Ra" | "Ac" | "Th" | "Pa" | "U" | "Np" | "Pu" | "Am" | "Cm" | "Bk" | "Cf" | "Es" | "Fm" | "Md" | "No" | "Lr" | "Rf" | "Db" | "Sg" | "Bh" | "Hs" | "Mt" | "Ds" | "Rg" | "Cn" | "Nh" | "Fl" | "Mc" | "Lv" | "Ts" | "Og", string>;
export declare const vesta_hex: Record<"K" | "H" | "He" | "Li" | "Be" | "B" | "C" | "N" | "O" | "F" | "Ne" | "Na" | "Mg" | "Al" | "Si" | "P" | "S" | "Cl" | "Ar" | "Ca" | "Sc" | "Ti" | "V" | "Cr" | "Mn" | "Fe" | "Co" | "Ni" | "Cu" | "Zn" | "Ga" | "Ge" | "As" | "Se" | "Br" | "Kr" | "Rb" | "Sr" | "Y" | "Zr" | "Nb" | "Mo" | "Tc" | "Ru" | "Rh" | "Pd" | "Ag" | "Cd" | "In" | "Sn" | "Sb" | "Te" | "I" | "Xe" | "Cs" | "Ba" | "La" | "Ce" | "Pr" | "Nd" | "Pm" | "Sm" | "Eu" | "Gd" | "Tb" | "Dy" | "Ho" | "Er" | "Tm" | "Yb" | "Lu" | "Hf" | "Ta" | "W" | "Re" | "Os" | "Ir" | "Pt" | "Au" | "Hg" | "Tl" | "Pb" | "Bi" | "Po" | "At" | "Rn" | "Fr" | "Ra" | "Ac" | "Th" | "Pa" | "U" | "Np" | "Pu" | "Am" | "Cm" | "Bk" | "Cf" | "Es" | "Fm" | "Md" | "No" | "Lr" | "Rf" | "Db" | "Sg" | "Bh" | "Hs" | "Mt" | "Ds" | "Rg" | "Cn" | "Nh" | "Fl" | "Mc" | "Lv" | "Ts" | "Og", string>;
export declare const element_color_schemes: {
    readonly Vesta: Record<"K" | "H" | "He" | "Li" | "Be" | "B" | "C" | "N" | "O" | "F" | "Ne" | "Na" | "Mg" | "Al" | "Si" | "P" | "S" | "Cl" | "Ar" | "Ca" | "Sc" | "Ti" | "V" | "Cr" | "Mn" | "Fe" | "Co" | "Ni" | "Cu" | "Zn" | "Ga" | "Ge" | "As" | "Se" | "Br" | "Kr" | "Rb" | "Sr" | "Y" | "Zr" | "Nb" | "Mo" | "Tc" | "Ru" | "Rh" | "Pd" | "Ag" | "Cd" | "In" | "Sn" | "Sb" | "Te" | "I" | "Xe" | "Cs" | "Ba" | "La" | "Ce" | "Pr" | "Nd" | "Pm" | "Sm" | "Eu" | "Gd" | "Tb" | "Dy" | "Ho" | "Er" | "Tm" | "Yb" | "Lu" | "Hf" | "Ta" | "W" | "Re" | "Os" | "Ir" | "Pt" | "Au" | "Hg" | "Tl" | "Pb" | "Bi" | "Po" | "At" | "Rn" | "Fr" | "Ra" | "Ac" | "Th" | "Pa" | "U" | "Np" | "Pu" | "Am" | "Cm" | "Bk" | "Cf" | "Es" | "Fm" | "Md" | "No" | "Lr" | "Rf" | "Db" | "Sg" | "Bh" | "Hs" | "Mt" | "Ds" | "Rg" | "Cn" | "Nh" | "Fl" | "Mc" | "Lv" | "Ts" | "Og", string>;
    readonly Jmol: Record<"K" | "H" | "He" | "Li" | "Be" | "B" | "C" | "N" | "O" | "F" | "Ne" | "Na" | "Mg" | "Al" | "Si" | "P" | "S" | "Cl" | "Ar" | "Ca" | "Sc" | "Ti" | "V" | "Cr" | "Mn" | "Fe" | "Co" | "Ni" | "Cu" | "Zn" | "Ga" | "Ge" | "As" | "Se" | "Br" | "Kr" | "Rb" | "Sr" | "Y" | "Zr" | "Nb" | "Mo" | "Tc" | "Ru" | "Rh" | "Pd" | "Ag" | "Cd" | "In" | "Sn" | "Sb" | "Te" | "I" | "Xe" | "Cs" | "Ba" | "La" | "Ce" | "Pr" | "Nd" | "Pm" | "Sm" | "Eu" | "Gd" | "Tb" | "Dy" | "Ho" | "Er" | "Tm" | "Yb" | "Lu" | "Hf" | "Ta" | "W" | "Re" | "Os" | "Ir" | "Pt" | "Au" | "Hg" | "Tl" | "Pb" | "Bi" | "Po" | "At" | "Rn" | "Fr" | "Ra" | "Ac" | "Th" | "Pa" | "U" | "Np" | "Pu" | "Am" | "Cm" | "Bk" | "Cf" | "Es" | "Fm" | "Md" | "No" | "Lr" | "Rf" | "Db" | "Sg" | "Bh" | "Hs" | "Mt" | "Ds" | "Rg" | "Cn" | "Nh" | "Fl" | "Mc" | "Lv" | "Ts" | "Og", string>;
};
export declare const default_element_colors: {
    K: string;
    H: string;
    He: string;
    Li: string;
    Be: string;
    B: string;
    C: string;
    N: string;
    O: string;
    F: string;
    Ne: string;
    Na: string;
    Mg: string;
    Al: string;
    Si: string;
    P: string;
    S: string;
    Cl: string;
    Ar: string;
    Ca: string;
    Sc: string;
    Ti: string;
    V: string;
    Cr: string;
    Mn: string;
    Fe: string;
    Co: string;
    Ni: string;
    Cu: string;
    Zn: string;
    Ga: string;
    Ge: string;
    As: string;
    Se: string;
    Br: string;
    Kr: string;
    Rb: string;
    Sr: string;
    Y: string;
    Zr: string;
    Nb: string;
    Mo: string;
    Tc: string;
    Ru: string;
    Rh: string;
    Pd: string;
    Ag: string;
    Cd: string;
    In: string;
    Sn: string;
    Sb: string;
    Te: string;
    I: string;
    Xe: string;
    Cs: string;
    Ba: string;
    La: string;
    Ce: string;
    Pr: string;
    Nd: string;
    Pm: string;
    Sm: string;
    Eu: string;
    Gd: string;
    Tb: string;
    Dy: string;
    Ho: string;
    Er: string;
    Tm: string;
    Yb: string;
    Lu: string;
    Hf: string;
    Ta: string;
    W: string;
    Re: string;
    Os: string;
    Ir: string;
    Pt: string;
    Au: string;
    Hg: string;
    Tl: string;
    Pb: string;
    Bi: string;
    Po: string;
    At: string;
    Rn: string;
    Fr: string;
    Ra: string;
    Ac: string;
    Th: string;
    Pa: string;
    U: string;
    Np: string;
    Pu: string;
    Am: string;
    Cm: string;
    Bk: string;
    Cf: string;
    Es: string;
    Fm: string;
    Md: string;
    No: string;
    Lr: string;
    Rf: string;
    Db: string;
    Sg: string;
    Bh: string;
    Hs: string;
    Mt: string;
    Ds: string;
    Rg: string;
    Cn: string;
    Nh: string;
    Fl: string;
    Mc: string;
    Lv: string;
    Ts: string;
    Og: string;
};
