import { session_store } from 'svelte-zoo/stores';
import { writable } from 'svelte/store';
import { default_category_colors, default_element_colors } from './colors';
export const active_category = writable(null);
export const active_element = writable(null);
export const last_element = writable(null);
active_element.subscribe((el) => {
    if (el !== null)
        last_element.set(el);
});
export const heatmap_key = writable(null);
export const show_icons = session_store(`show-icons`, true);
export const category_colors = session_store(`category-colors`, { ...default_category_colors });
export const element_colors = session_store(`element-colors`, { ...default_element_colors });
