import { SvelteComponent } from "svelte";
import { type Vector } from '..';
declare const __propDef: {
    props: {
        matrix: [Vector, Vector, Vector];
        show_cell?: "wireframe" | "surface" | null | undefined;
        cell_color?: string | undefined;
        cell_line_width?: number | undefined;
        cell_opacity?: number | undefined;
        show_vectors?: boolean | undefined;
        vector_colors?: [string, string, string] | undefined;
        vector_origin?: Vector | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type LatticeProps = typeof __propDef.props;
export type LatticeEvents = typeof __propDef.events;
export type LatticeSlots = typeof __propDef.slots;
export default class Lattice extends SvelteComponent<LatticeProps, LatticeEvents, LatticeSlots> {
}
export {};
